diff --git a/src/common/imageio.c b/src/common/imageio.c
index e1736e52b29..1ad10ea60fc 100644
--- a/src/common/imageio.c
+++ b/src/common/imageio.c
@@ -550,6 +550,7 @@ dt_imageio_retval_t dt_imageio_open_ldr(dt_image_t *img, const char *filename, d
     img->buf_dsc.cst = iop_cs_rgb; // jpeg is always RGB
     img->buf_dsc.filters = 0u;
     img->flags &= ~DT_IMAGE_RAW;
+    img->flags &= ~DT_IMAGE_S_RAW;
     img->flags &= ~DT_IMAGE_HDR;
     img->flags |= DT_IMAGE_LDR;
     img->loader = LOADER_JPEG;
